#ifndef GRAPHICS__H
#define GRAPHICS__H

#define NCOLORS 10
#define BLACK 0
#define WHITE 1
#define RED 2
#define GREEN 3
#define BLUE 4
#define YELLOW 5
#define PURPLE 6
#define MAGENTA 7
#define REDISH 8
#define BLUEISH 9

typedef enum _grtype {CLEAR, TWOD, THREED, MOVE, GR_POINT, FRECT, ORECT, DRAW, TEXT, LTEXT, RTEXT, COLOR, EXIT} _grtype;

typedef struct _grcall{
  int type;
  void *val;
  struct _grcall *next;
} _grcall;

extern double colormap[NCOLORS][3];

/*  grstack.c */
int addGrcall(_grtype, void*, double, double, double);
int DeleteCall(_grcall*);
int eraseGRstack();
int Draw2Daxis();

int ExponentText(char *, char *, double, double, double);

int colorWrap(int);
int setProjection();


#endif
